## com.google.gwt.event.dom.client
Interface HasKeyPressHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllKeyHandlers, TabBar.Tab

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree

    public interface HasKeyPressHandlers

extends HasHandlers

A widget that implements this interface provides registration for `KeyPressHandler` instances.

Method Summary
`HandlerRegistration` | `addKeyPressHandler(KeyPressHandler handler)` Adds a `KeyPressEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addKeyPressHandler

    HandlerRegistration addKeyPressHandler(KeyPressHandler handler)

  Adds a `KeyPressEvent` handler.

  Parameters:
    `handler` - the key press handler
  Returns:
    `HandlerRegistration` used to remove this handler